Subject: bug#12526: 24.2.50; `query-replace-interactive' not always respected

From: Juri Linkov <[email-masked]>
Date: Thu, 04 Oct 2012 12:09:17 +0300

> As I said before, I think it is unsuitable to assume that the user
> always wants to use the last search string as "from" string in
> query-replace (when query-replace is invoked from Isearch).

`query-replace' is not invoked from Isearch.
`isearch-query-replace' is invoked from Isearch.
So your wish is about invoking `query-replace'
instead of `isearch-query-replace' from Isearch.

Your wish is not different from other similar desires e.g.:
"I want `M-e' in Isearch to exit Isearch and call `forward-sentence'
instead of editing the search string" or "I want `C-y' in Isearch
to exit Isearch and call `yank' instead of pulling string from the kill ring
into the search string" and the same can be said for other Isearch
keybindings too.

All of them could be solved at once by implementing a new feature
that will bypass Isearch keybindings to original commands.